.login-page-image {
    position: fixed;
    /* Cover the entire viewport */
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;

    /* background-image: url('../images/karsten-wurth-rafblRbne3o-unsplash.jpg?v=1'); */
    /* background-image: url('../images/autumn_road_3.webp?v=1'); the v=1 is trying to make this image cacheable even though the webpage says no caching */

    /* the v=1 is trying to make this image cacheable even though the webpage says no caching */
    /* Define the variable and use it */
    --login-bg-image: url('../images/autumn_road_3.webp?v=1');
    background-image: var(--login-bg-image);

    background-repeat: no-repeat;
    background-size: cover;
    background-position: center;
    z-index: -1;
    animation: fadeIn 0.5s ease-in-out forwards;
    /* Fade-in animation */
}

@keyframes fadeIn {
    from {
        opacity: 0;
        /* Start invisible */
    }

    to {
        opacity: 0.8;
        /* Fully visible */
    }
}


.login-page-bottom {
    display: flex;
    /* align-items: center; */
    justify-content: center;
    /* Centers the remaining items/group */
    font-size: 0.8rem;
    border: 1px solid gray;
    padding: 3px 0 4px 0px;
    color: dimgray;
    text-align: center;
}

.login-session-expired-message {
    font-size: 1rem;
    font-weight: 400;
    /* background-color: white; */
    color: white;
    padding: 8px 0 10px 12px;
    /* border: 3px solid white; */
    /* box-shadow: 3px 2px lightgray; */
    margin-bottom: 16px;
    user-select: none;
}

.login-update-text {
    color: mediumblue;
    font-weight: 600;
    margin-top: 6px;
}

.login-update-link {
    color: mediumblue;
    margin-left: 10px;
    font-weight: 600;
}

.login-update-link:hover {
    text-decoration: underline;
    background-color: white;
    text-shadow: 1px 0px navy;
}


.login-div-button {
    display: flex;
    flex-direction: row;
    align-items: center;
}

.login-div-spinner {
    border: none;
}


.login-link {
    font-size: 0.8rem;
    margin: 0 0 1rem 1rem;
    /* color: var(--color-link); */
    color: mediumblue;
    display: block;
    /* display: flex;
    justify-content: left; */
    cursor: pointer;
    width: auto;
    user-select: none;
}

.login-link:hover {
    text-decoration: underline;
    text-underline-offset: 4px;
}


.logged-in-not {
    margin: 15px;
    font-size: 1.1rem;
    font-weight: 600;
    color: var(--color-text-1);
}


.span-login-status {
    display: none;
    font-size: 16px;
    font-weight: 600;
    color: #2a5caa;
    /* letter-spacing: 0.01em; */
    margin-top: 200px;
}

.img-login-status {
    display: none;
    margin-top: 0px;
    margin-left: 5px;
}
